Loading...
Searching...
No Matches
card_fs_isim.c File Reference

3GPP ISIM specific structures / routines. More...

`#include <errno.h>`
`#include <string.h>`
`#include <osmocom/sim/sim.h>`
`#include <osmocom/core/talloc.h>`
`#include <osmocom/gsm/gsm48.h>`
`#include "sim_int.h"`
`#include "gsm_int.h"`

## Functions

struct osim_card_app_profile * | osim_aprof_isim (void *ctx)

## Variables

const struct osim_card_sw | ts31_103_sw []
static const struct osim_file_desc | isim_ef_in_adf_isim []
static const uint8_t | adf_isim_aid [] = { 0xA0, 0x00, 0x00, 0x00, 0x87, 0x10, 0x04 }

## Detailed Description

3GPP ISIM specific structures / routines.

## Function Documentation

## osim_aprof_isim()

struct osim_card_app_profile * osim_aprof_isim | ( | void * | ctx | ) |

References osim_card_app_profile::adf, adf_isim_aid, osim_card_app_profile::aid, osim_card_app_profile::aid_len, alloc_adf_with_ef(), isim_ef_in_adf_isim, osim_card_app_profile::name, osim_card_app_profile::sw, and ts31_103_sw.

Referenced by osim_init().

## Variable Documentation

## adf_isim_aid

const uint8_t adf_isim_aid[] = { 0xA0, 0x00, 0x00, 0x00, 0x87, 0x10, 0x04 }

static

Referenced by osim_aprof_isim().

## isim_ef_in_adf_isim

const struct osim_file_desc isim_ef_in_adf_isim[]

static

Referenced by osim_aprof_isim().

## ts31_103_sw

const struct osim_card_sw ts31_103_sw[]

Initial value:
= {
{
0x9862, 0xffff, SW_TYPE_STR, SW_CLS_ERROR,
.u.str = "Security management - Authentication error, incorrect MAC",
}, {
0x9864, 0xffff, SW_TYPE_STR, SW_CLS_ERROR,
.u.str = "Security management - Authentication error, security context not supported",
},
OSIM_CARD_SW_LAST
}
SW_CLS_ERROR
@ SW_CLS_ERROR
Definition sim.h:275
OSIM_CARD_SW_LAST
#define OSIM_CARD_SW_LAST
Definition sim.h:292
SW_TYPE_STR
@ SW_TYPE_STR
Definition sim.h:267

Referenced by osim_aprof_isim().